Package org.bukkit.material

# Class Leaves

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Wood
org.bukkit.material.Leaves

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class Leaves extends Wood
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the different types of leaf block that may be permanent or can decay when too far from a log.

See Also:
  - `Material.LEGACY_LEAVES`
  - `Material.LEGACY_LEAVES_2`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final boolean`
`DEFAULT_DECAYABLE`
Deprecated.
`protected static final Material`
`DEFAULT_TYPE`
Deprecated.

### Fields inherited from class org.bukkit.material.Wood

`DEFAULT_SPECIES`

## Constructor Summary

Constructors
Constructor
Description
`Leaves()`
Deprecated.
Constructs a leaf block.
`Leaves(Material type)`
Deprecated.
Constructs a leaf block of the given type.
`Leaves(Material type, byte data)`
Deprecated.
Magic value
`Leaves(Material type, TreeSpecies species)`
Deprecated.
Constructs a leaf block of the given type and tree species.
`Leaves(Material type, TreeSpecies species, boolean isDecayable)`
Deprecated.
Constructs a leaf block of the given type and tree species and flag for whether this leaf block will disappear when too far from a log.
`Leaves(TreeSpecies species)`
Deprecated.
Constructs a leaf block of the given tree species.
`Leaves(TreeSpecies species, boolean isDecayable)`
Deprecated.
Constructs a leaf block of the given tree species and flag for whether this leaf block will disappear when too far from a log.

## Method Summary

Modifier and Type
Method
Description
`Leaves`
`clone()`
Deprecated.
`boolean`
`isDecayable()`
Deprecated.
Checks if this leaf block is permanent or can decay when too far from a log
`boolean`
`isDecaying()`
Deprecated.
Checks if this leaf block is in the process of decaying
`void`
`setDecayable(boolean isDecayable)`
Deprecated.
Set whether this leaf block will disappear when too far from a log
`void`
`setDecaying(boolean isDecaying)`
Deprecated.
Set whether this leaf block is in the process of decaying
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.Wood

`getSpecies, setSpecies`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_TYPE

protected static final Material DEFAULT_TYPE
Deprecated.

### DEFAULT_DECAYABLE

protected static final boolean DEFAULT_DECAYABLE
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### Leaves

public Leaves()
Deprecated.
Constructs a leaf block.

### Leaves

public Leaves(TreeSpecies species)
Deprecated.
Constructs a leaf block of the given tree species.

Parameters:
  `species` - the species of the wood block

### Leaves

public Leaves(TreeSpecies species, boolean isDecayable)
Deprecated.
Constructs a leaf block of the given tree species and flag for whether this leaf block will disappear when too far from a log.

Parameters:
  `species` - the species of the wood block
  `isDecayable` - whether the block is permanent or can disappear

### Leaves

public Leaves(Material type)
Deprecated.
Constructs a leaf block of the given type.

Parameters:
  `type` - the type of leaf block

### Leaves

public Leaves(Material type, TreeSpecies species)
Deprecated.
Constructs a leaf block of the given type and tree species.

Parameters:
  `type` - the type of leaf block
  `species` - the species of the wood block

### Leaves

public Leaves(Material type, TreeSpecies species, boolean isDecayable)
Deprecated.
Constructs a leaf block of the given type and tree species and flag for whether this leaf block will disappear when too far from a log.

Parameters:
  `type` - the type of leaf block
  `species` - the species of the wood block
  `isDecayable` - whether the block is permanent or can disappear

### Leaves

@Deprecated public Leaves(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isDecaying

public boolean isDecaying()
Deprecated.
Checks if this leaf block is in the process of decaying

Returns:
  true if the leaf block is in the process of decaying

### setDecaying

public void setDecaying(boolean isDecaying)
Deprecated.
Set whether this leaf block is in the process of decaying

Parameters:
  `isDecaying` - whether the block is decaying or not

### isDecayable

public boolean isDecayable()
Deprecated.
Checks if this leaf block is permanent or can decay when too far from a log

Returns:
  true if the leaf block is permanent or can decay when too far from a log

### setDecayable

public void setDecayable(boolean isDecayable)
Deprecated.
Set whether this leaf block will disappear when too far from a log

Parameters:
  `isDecayable` - whether the block is permanent or can disappear

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Wood`

### clone

public Leaves clone()
Deprecated.

Overrides:
  `clone` in class `Wood`